QXmpp: QXmppCallInvite Class Reference

QXmpp Version: 1.14.2

Loading...
Searching...
No Matches
QXmppCallInvite Class Reference

The QXmppCallInvite class holds information about the Call Invite element in the current context. More...

## Public Types
using | Result = std::variant<Rejected, Retracted, Left, QXmppError>

## Public Member Functions
| QXmppCallInvite (QXmppCallInviteManager *manager)
| Constructs a Call Invite object.
QXmppTask< QXmpp::SendResult > | accept ()
QXmppTask< QXmpp::SendResult > | reject ()
QXmppTask< QXmpp::SendResult > | retract ()
QXmppTask< QXmpp::SendResult > | leave ()
Q_SIGNAL void | invited ()
Q_SIGNAL void | accepted (const QString &id, const QString &callPartnerResource)
Q_SIGNAL void | closed (const QXmppCallInvite::Result &result)

## Friends
class | QXmppCallInviteManager
class | tst_QXmppCallInviteManager

## Detailed Description

The QXmppCallInvite class holds information about the Call Invite element in the current context.

Since
  QXmpp 1.6

## Member Typedef Documentation

## ◆ Result

using QXmppCallInvite::Result = std::variant<Rejected, Retracted, Left, QXmppError>

Contains one of the result types Rejected, Retracted, Left or QXmppError used for Call Invite states.

Since
  QXmpp 1.6

## Member Function Documentation

## ◆ accept()

QXmppTask< SendResult > QXmppCallInvite::accept | ( |  | ) |

Creates a Call Invite element of type "accept" and sends a request containing the element.

## ◆ accepted()

Q_SIGNAL void QXmppCallInvite::accepted | ( | const QString & | id,
|  | const QString & | callPartnerResource )

Emitted when a call was accepted.

## ◆ closed()

Q_SIGNAL void QXmppCallInvite::closed | ( | const QXmppCallInvite::Result & | result | ) |

Emitted when a call was closed.

Parameters

  result | close reason

## ◆ invited()

Q_SIGNAL void QXmppCallInvite::invited | ( |  | ) |

Emitted when a call invitation was sent.

## ◆ leave()

QXmppTask< SendResult > QXmppCallInvite::leave | ( |  | ) |

Creates a Call Invite element of type "leave" and sends a request containing the element.

## ◆ reject()

QXmppTask< SendResult > QXmppCallInvite::reject | ( |  | ) |

Creates a Call Invite element of type "reject" and sends a request containing the element.

## ◆ retract()

QXmppTask< SendResult > QXmppCallInvite::retract | ( |  | ) |

Creates a Call Invite element of type "retract" and sends a request containing the element.

The documentation for this class was generated from the following files:

- QXmppCallInviteManager.h
- QXmppCallInviteManager.cpp